GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/gdb_select.h File Reference
`#include <sys/select.h>`
`#include "gdb_sys_time.h"`

Go to the source code of this file.

## Functions
int | gdb_select (int n, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, struct timeval *timeout)
int | interruptible_select (int n, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, struct timeval *timeout)

## Function Documentation

## ◆ gdb_select()

int gdb_select | ( | int | n,
|  | fd_set * | readfds,
|  | fd_set * | writefds,
|  | fd_set * | exceptfds,
|  | struct timeval * | timeout
| ) |  |

Definition at line 51 of file mingw-hdep.c.

References serial::fd, gdb_assert, read(), and serial_for_fd().

Referenced by gdb_usleep(), gdb_wait_for_event(), interruptible_select(), and wait_for_connect().

## ◆ interruptible_select()

int interruptible_select | ( | int | n,
|  | fd_set * | readfds,
|  | fd_set * | writefds,
|  | fd_set * | exceptfds,
|  | struct timeval * | timeout
| ) |  |

Definition at line 985 of file event-top.c.

References gdb_select(), and quit_serial_event_fd().

Referenced by gdb_readline_no_editing(), ioscm_input_waiting(), stdio_file::read(), and ser_base_wait_for().